Name: pcm.core.api
Host: 0.0.0.0
Port: 8999

Timeout: 50000

DB:
  DataSource: root:uJpLd6u-J?HC1@(47.92.88.143:3306)/pcm?parseTime=true&loc=Local
  # DataSource: root:uJpLd6u-J?HC1@(47.92.88.143:3306)/pcm?parseTime=true&loc=Local
Redis:
  Host: 10.206.0.12:6379
  Pass: redisPW123

Monitoring:
  PromUrl: http://47.92.39.128:30877
  AlertUrl: 47.92.39.128:32243


# k8s rpc
K8sNativeConf:
  # target: nacos://10.206.0.12:8848/pcm.kubenative.rpc?timeout=30s&namespaceid=test&groupname=DEFAULT_GROUP&appName=pcm.core.api
  Endpoints:
    - 127.0.0.1:2003
  NonBlock: true

#rpc
THRpcConf:
  target: nacos://10.206.0.12:8848/pcm.th.rpc?timeout=30s&namespaceid=test&groupname=DEFAULT_GROUP&appName=pcm.core.api
  # Endpoints:
  #   - 127.0.0.1:8888
  NonBlock: true

#rpc
ModelArtsRpcConf:
  target: nacos://10.206.0.12:8848/pcm.modelarts.rpc?timeout=30s&namespaceid=test&groupname=DEFAULT_GROUP&appName=pcm.core.api
  # Endpoints:
  #   - 127.0.0.1:8888
  NonBlock: true

#rpc
ModelArtsImgRpcConf:
  target: nacos://10.206.0.12:8848/pcm.modelarts.rpc?timeout=30s&namespaceid=test&groupname=DEFAULT_GROUP&appName=pcm.core.api
  # Endpoints:
  #   - 127.0.0.1:8888
  NonBlock: true

#rpc
ACRpcConf:
  target: nacos://10.206.0.12:8848/pcm.ac.rpc?timeout=30s&namespaceid=test&groupname=DEFAULT_GROUP&appName=pcm.core.api
  # Endpoints:
  #   - 127.0.0.1:8888
  NonBlock: true
  Timeout: 20000

#rpc
CephRpcConf:
  # target: nacos://10.206.0.12:8848/pcm.ceph.rpc?timeout=30s&namespaceid=test&groupname=DEFAULT_GROUP&appName=pcm.core.api
  Endpoints:
    - pcm-participant-ceph-service:2008
  NonBlock: true
  Timeout: 50000

OctopusRpcConf:
  target: nacos://10.206.0.12:8848/pcm.octopus.rpc?timeout=30s&namespaceid=test&groupname=DEFAULT_GROUP&appName=pcm.core.api
  # Endpoints:
  #   - 127.0.0.1:8888
  NonBlock: true
  Timeout: 20000

OpenstackRpcConf:
  # target: nacos://10.206.0.12:8848/pcm.openstack.rpc?timeout=30s&namespaceid=test&groupname=DEFAULT_GROUP&appName=pcm.core.api
  Endpoints:
  - 127.0.0.1:2010
  NonBlock: true
  Timeout: 20000

# core rpc
PcmCoreRpcConf:
  # target: nacos://10.206.0.12:8848/pcm.core.rpc?timeout=30s&namespaceid=test&groupname=DEFAULT_GROUP&appName=pcm.core.api
  Endpoints:
     - pcm-core-rpc:2004
  NonBlock: true
  Timeout: 20000

NexusUrl: http://10.101.15.175:8081

JccScheduleUrl: http://jcce-schedule-service:8082


MinioConf:
  Secret: minio_xnu122@_
  AccessKey: minioadmin
  Endpoint: http://121.89.220.60:9000

RegistryConf:
  Username: jointcloudNudt
  Password: Nudt@123

SnowflakeConf:
  MachineId: 1